> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Secret

> Get a specific secret by ID.

Note: The secret value is not returned, only metadata.



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json get /api/v1/secrets/{secret_id}
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/secrets/{secret_id}:
    get:
      tags:
        - Secrets
      summary: Get Secret
      description: |-
        Get a specific secret by ID.

        Note: The secret value is not returned, only metadata.
      operationId: get_secret_api_v1_secrets__secret_id__get
      parameters:
        - name: secret_id
          in: path
          required: true
          schema:
            type: string
            title: Secret Id
        - name: teamId
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Team ID for team secrets
            title: Teamid
          description: Team ID for team secrets
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponse_SecretResponse_'
        '401':
          description: Authorization failed
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    GenericResponse_SecretResponse_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/SecretResponse'
            - type: 'null'
          description: Response data
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          description: Response status
      type: object
      title: GenericResponse[SecretResponse]
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    SecretResponse:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier of the secret
        name:
          type: string
          title: Name
          description: Name of the secret
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Description of the secret
        isFile:
          type: boolean
          title: Isfile
          description: Whether this secret is a file
          default: false
        userId:
          anyOf:
            - type: string
            - type: 'null'
          title: Userid
          description: ID of the owning user
        teamId:
          anyOf:
            - type: string
            - type: 'null'
          title: Teamid
          description: ID of the owning team
        createdAt:
          type: string
          format: date-time
          title: Createdat
          description: When the secret was created
        updatedAt:
          type: string
          format: date-time
          title: Updatedat
          description: When the secret was last updated
      type: object
      required:
        - id
        - name
        - createdAt
        - updatedAt
      title: SecretResponse
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````